Index: code/branches/gui/src/network/Client.cc
===================================================================
--- code/branches/gui/src/network/Client.cc	(revision 1636)
+++ code/branches/gui/src/network/Client.cc	(revision 1638)
@@ -227,9 +227,9 @@
   void Client::processClassid(classid *clid){
     orxonox::Identifier *id;
-    id=ID(std::string(clid->message));
+    id=GetIdentifier(std::string(clid->message));
     if(id!=NULL)
       id->setNetworkID(clid->clid);
     COUT(4) << "Client: received and set network id: " << clid->clid << "; classname: " << clid->message << std::endl;
-    COUT(4) << "id(classid)->getName " << ID((unsigned int)clid->clid)->getName() << std::endl;
+    COUT(4) << "id(classid)->getName " << GetIdentifier((unsigned int)clid->clid)->getName() << std::endl;
     delete clid;
     return;
Index: code/branches/gui/src/network/ClientConnection.cc
===================================================================
--- code/branches/gui/src/network/ClientConnection.cc	(revision 1636)
+++ code/branches/gui/src/network/ClientConnection.cc	(revision 1638)
@@ -42,4 +42,5 @@
 #include <iostream>
 // boost.thread library for multithreading support
+#include <boost/thread/thread.hpp>
 #include <boost/bind.hpp>
 
Index: code/branches/gui/src/network/ClientConnection.h
===================================================================
--- code/branches/gui/src/network/ClientConnection.h	(revision 1636)
+++ code/branches/gui/src/network/ClientConnection.h	(revision 1638)
@@ -45,7 +45,8 @@
 #include <string>
 #include <enet/enet.h>
-#include <boost/thread/thread.hpp>
+#include <boost/thread/recursive_mutex.hpp>
+#include "PacketBuffer.h"
 
-#include "PacketBuffer.h"
+namespace boost { class thread; }
 
 namespace network
Index: code/branches/gui/src/network/ConnectionManager.cc
===================================================================
--- code/branches/gui/src/network/ConnectionManager.cc	(revision 1636)
+++ code/branches/gui/src/network/ConnectionManager.cc	(revision 1638)
@@ -40,4 +40,5 @@
 #include <iostream>
 // boost.thread library for multithreading support
+#include <boost/thread/thread.hpp>
 #include <boost/bind.hpp>
 
Index: code/branches/gui/src/network/ConnectionManager.h
===================================================================
--- code/branches/gui/src/network/ConnectionManager.h	(revision 1636)
+++ code/branches/gui/src/network/ConnectionManager.h	(revision 1638)
@@ -47,9 +47,10 @@
 // enet library for networking support
 #include <enet/enet.h>
-#include <boost/thread/thread.hpp>
 #include <boost/thread/recursive_mutex.hpp>
 
 #include "PacketBuffer.h"
 #include "PacketManager.h"
+
+namespace boost { class thread; }
 
 namespace std
Index: code/branches/gui/src/network/GameStateClient.cc
===================================================================
--- code/branches/gui/src/network/GameStateClient.cc	(revision 1636)
+++ code/branches/gui/src/network/GameStateClient.cc	(revision 1638)
@@ -177,5 +177,5 @@
           ///sigsegv may happen here again for some reason
           ///sigsegv is receved after the COUT(4) above
-          orxonox::Identifier* id = ID((unsigned int)sync.classID);
+          orxonox::Identifier* id = GetIdentifier((unsigned int)sync.classID);
           if(!id){
             COUT(3) << "We could not identify a new object; classid: " << sync.classID << " uint: " << (unsigned int)sync.classID << " objectID: " << sync.objectID << " size: " << sync.length << std::endl;
Index: code/branches/gui/src/network/GameStateManager.cc
===================================================================
--- code/branches/gui/src/network/GameStateManager.cc	(revision 1636)
+++ code/branches/gui/src/network/GameStateManager.cc	(revision 1638)
@@ -44,5 +44,5 @@
 #include <iostream>
 #include <zlib.h>
-#include <assert.h>
+#include <cassert>
 
 #include "core/CoreIncludes.h"
@@ -278,5 +278,5 @@
         COUT(4) << "loadsnapshot: creating new object " << std::endl;
         //COUT(4) << "loadSnapshot:\tclassid: " << sync.classID << ", name: " << ID((unsigned int) sync.classID)->getName() << std::endl;
-        orxonox::Identifier* id = ID((unsigned int)sync.classID);
+        orxonox::Identifier* id = GetIdentifier((unsigned int)sync.classID);
         if(!id){
           COUT(4) << "We could not identify a new object; classid: " << sync.classID << std::endl;
Index: code/branches/gui/src/network/Server.cc
===================================================================
--- code/branches/gui/src/network/Server.cc	(revision 1636)
+++ code/branches/gui/src/network/Server.cc	(revision 1638)
@@ -42,4 +42,5 @@
 
 #include <iostream>
+#include <cassert>
 
 
@@ -370,5 +371,5 @@
     if(!client)
       return false;
-    orxonox::Identifier* id = ID("SpaceShip");
+    orxonox::Identifier* id = GetIdentifier("SpaceShip");
     if(!id){
       COUT(4) << "We could not create the SpaceShip for client: " << client->getID() << std::endl;
